Models
List models
List the models available to the current organization, including enablement and inference-provider access.
GET
/
v1
/
models
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const model = await client.models.list({
limit: 50,
});use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client.models().list().send().await?;
curl --request GET \
--url https://api.tembo.io/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tembo.io/v1/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"name": "claude-opus-5-5",
"label": "<string>",
"provider": "<string>",
"enabled": true,
"available": true,
"unavailableReason": "<string>",
"supportedInferenceProviders": [
"TemboManagedInference"
],
"availableInferenceProviders": [
"TemboManagedInference"
],
"configuredInferenceProvider": "TemboManagedInference",
"inferenceProvider": "TemboManagedInference",
"inferenceProviderAccess": {
"TemboManagedInference": {
"available": true,
"unavailableCode": null,
"unavailableReason": null
},
"BYOK": {
"available": true,
"unavailableCode": null,
"unavailableReason": null
},
"AWSBedrock": {
"available": true,
"unavailableCode": null,
"unavailableReason": null
},
"GCPVertexAI": {
"available": true,
"unavailableCode": null,
"unavailableReason": null
},
"OpenRouter": {
"available": true,
"unavailableCode": null,
"unavailableReason": null
}
},
"selectedInferenceProviderAvailable": true,
"selectedInferenceProviderUnavailableReason": "<string>",
"chatgptAvailable": true,
"chatgptSupported": true,
"workspaceChatgptAvailable": true,
"claudeSubscriptionSupported": true,
"workspaceClaudeSubscriptionAvailable": true,
"supergrokAvailable": true,
"agentInferenceAvailable": true
}
],
"nextCursor": "claude-opus-5-5"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Continuation cursor from the previous response nextCursor. Omit for the first page; null nextCursor means there are no more pages.
Available options:
claude-opus-5-5, claude-fable-5-1, claude-fable-5, claude-opus-5, claude-sonnet-5-5, claude-haiku-5-5, claude-opus-4-8, claude-opus-4-7, claude-opus-4-6, claude-opus-4-5, claude-4-5-haiku, gpt-6.1-sol, gpt-6-astra, gpt-6-sol, gpt-6-luna, gpt-5.6-sol, gpt-5.6-terra, gpt-5.6-luna, gpt-5.5-pro, gpt-5.5, gpt-5.4, gpt-5.4-mini, gpt-5.4-nano, gpt-5.3-codex, gpt-5.3-codex-spark, gpt-5.2-codex, gpt-5.2, glm-5p3, glm-5p3-flash, composer-1.5, composer-2, composer-2-fast, composer-2.5, gemini-3.1-pro, gemini-3.5-flash, grok-4.7, grok, kimi-k3, minimax-m2p7, minimax-m3, deepseek-v4-pro, deepseek-v4p1-flash Maximum number of items to return in one page. Use nextCursor from the response to fetch more items.
Required range:
1 <= x <= 100Response
List models
Show child attributes
Show child attributes
Available options:
claude-opus-5-5, claude-fable-5-1, claude-fable-5, claude-opus-5, claude-sonnet-5-5, claude-haiku-5-5, claude-opus-4-8, claude-opus-4-7, claude-opus-4-6, claude-opus-4-5, claude-4-5-haiku, gpt-6.1-sol, gpt-6-astra, gpt-6-sol, gpt-6-luna, gpt-5.6-sol, gpt-5.6-terra, gpt-5.6-luna, gpt-5.5-pro, gpt-5.5, gpt-5.4, gpt-5.4-mini, gpt-5.4-nano, gpt-5.3-codex, gpt-5.3-codex-spark, gpt-5.2-codex, gpt-5.2, glm-5p3, glm-5p3-flash, composer-1.5, composer-2, composer-2-fast, composer-2.5, gemini-3.1-pro, gemini-3.5-flash, grok-4.7, grok, kimi-k3, minimax-m2p7, minimax-m3, deepseek-v4-pro, deepseek-v4p1-flash, null Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const model = await client.models.list({
limit: 50,
});use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client.models().list().send().await?;
curl --request GET \
--url https://api.tembo.io/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tembo.io/v1/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"name": "claude-opus-5-5",
"label": "<string>",
"provider": "<string>",
"enabled": true,
"available": true,
"unavailableReason": "<string>",
"supportedInferenceProviders": [
"TemboManagedInference"
],
"availableInferenceProviders": [
"TemboManagedInference"
],
"configuredInferenceProvider": "TemboManagedInference",
"inferenceProvider": "TemboManagedInference",
"inferenceProviderAccess": {
"TemboManagedInference": {
"available": true,
"unavailableCode": null,
"unavailableReason": null
},
"BYOK": {
"available": true,
"unavailableCode": null,
"unavailableReason": null
},
"AWSBedrock": {
"available": true,
"unavailableCode": null,
"unavailableReason": null
},
"GCPVertexAI": {
"available": true,
"unavailableCode": null,
"unavailableReason": null
},
"OpenRouter": {
"available": true,
"unavailableCode": null,
"unavailableReason": null
}
},
"selectedInferenceProviderAvailable": true,
"selectedInferenceProviderUnavailableReason": "<string>",
"chatgptAvailable": true,
"chatgptSupported": true,
"workspaceChatgptAvailable": true,
"claudeSubscriptionSupported": true,
"workspaceClaudeSubscriptionAvailable": true,
"supergrokAvailable": true,
"agentInferenceAvailable": true
}
],
"nextCursor": "claude-opus-5-5"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}